unit fortune;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFortuneForm = class(TForm)
    Label1: TLabel;
    FortuneEdit: TEdit;
    NewButton: TButton;
    ClearButton: TButton;
    ExitButton: TButton;
    procedure NewButtonClick(Sender: TObject);
    procedure ClearButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FortuneForm: TFortuneForm;

implementation

{$R *.DFM}

procedure TFortuneForm.NewButtonClick(Sender: TObject);
//Choose and display random fortune
var       fortune : integer;
begin
     randomize;
     fortune := random(6) + 1;          //Six possible fortunes
     case fortune of
          1: FortuneEdit.Text := ('You will find money today');
          2: FortuneEdit.Text := ('You will meet a tall dark stranger');
          3: FortuneEdit.Text := ('You are about to make a journey');
          4: FortuneEdit.Text := ('Your computer has a virus');
          5: FortuneEdit.Text := ('You will find a new friend today');
          6: FortuneEdit.Text := ('Expect a phone call from an old friend');
          end;
end;

procedure TFortuneForm.ClearButtonClick(Sender: TObject);
//Clear current fortune from edit box
begin
     FortuneEdit.Text := '';
end;

procedure TFortuneForm.ExitButtonClick(Sender: TObject);
//Exit application
begin
     close;
end;

end.
